function LBP.ReadyCheck( self )
	
	
	local readycheck = LBP:CreateFrame("frame", "LBPReadyCheck", ReadyCheckFrame, nil, "TOP", ReadyCheckFrame, "BOTTOM", 0, -10, 315, 32)
	readycheck:SetBackdrop({bgFile = "Interface/BUTTONS/WHITE8X8", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = false, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	
	readycheck.list = {}	
	
	local _, _, _, numSpells = GetSpellTabInfo(1)
	local _, _, _, numSpells2 = GetSpellTabInfo(2)
	local a
	
	local n
	local start, duration, enable
	local name, rank, icon, powerCost, isFunnel, powerType, castingTime, minRange, maxRange = GetSpellInfo(a, "spell")
	local CD
	local tmpframe
	
	
	readycheck:SetScript("OnUpdate", function(self)
		
		readycheck:SetBackdropColor(abs(sin(GetTime()*100))*0.75, 0, 0 , 1)
		readycheck:ClearAllPoints()
		readycheck:SetPoint("TOP", ReadyCheckFrame, "BOTTOM", 0, 0)		
		
		n = 0;
		
		for a = numSpells+1, numSpells+numSpells2 do
			start, duration, enable = GetSpellCooldown(a, "spell")
			
			if duration < 2 then
				if readycheck.list[a] then readycheck.list[a]:Hide() end
				else
				
				readycheck:SetHeight(32)
				
				name, rank, icon, powerCost, isFunnel, powerType, castingTime, minRange, maxRange = GetSpellInfo(a, "spell")
				CD = math.ceil(duration-GetTime()+start);
				
				
				if not readycheck.list[a] then
					tmpframe = LBP:CreateFrame("frame", "LBPReadyCheck"..a, readycheck, nil, "TOPLEFT", readycheck, "TOPLEFT", 10, 0, 300, 48)
					tmpframe.icon = LBP:CreateFrame("frame", "LBPReadyCheckicon"..a, tmpframe, nil, "TOPLEFT", tmpframe, "TOPLEFT", 0, 0, 48, 48)
					tmpframe.icon:SetBackdrop({bgFile = icon });
					tmpframe.icontext = LBP:CreateFontString(tmpframe.icon, "icontext"..a,"ARTWORK", "GameFontNormalLarge", "TOPLEFT", tmpframe.icon, "TOPLEFT", 0, 0, 48, 48, "CENTER", "MIDDLE", 1, 1, 1, 1)
					tmpframe.icontext:SetText("B")
					tmpframe.textbox = LBP:CreateFontString(tmpframe.icon, "textbox"..a,"ARTWORK", "GameFontNormalLarge", "LEFT", tmpframe.icon, "RIGHT", 10, 0, 200, 48, "LEFT", "MIDDLE", 1, 1, 1, 1)
					tmpframe.textbox:SetText(name)
					
					function tmpframe.SetCD(self, CD)
						self.icontext:SetText(CD)
					end
					
					readycheck.list[a] = tmpframe
				end	
				
				;
				
				
				readycheck.list[a]:SetCD(CD)
				readycheck.list[a]:ClearAllPoints()
				readycheck.list[a]:SetPoint("TOPLEFT", readycheck, "TOPLEFT", 10, -n*54-10)
				readycheck.list[a]:Show()
				n = n+1;
			end
		end		
		
		
		readycheck:SetHeight(48+(n-1)*54+20)
		
		if n <1 then
			readycheck:ClearAllPoints()
			readycheck:SetPoint("TOP", ReadyCheckFrame, "BOTTOM", 0, 100000)
		end
		
	end)
	
	return readycheck
end



